package com.gxzc.zen

import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration
import org.springframework.boot.builder.SpringApplicationBuilder
import org.springframework.boot.web.support.SpringBootServletInitializer
import org.springframework.context.annotation.ImportResource


@SpringBootApplication(exclude = [RedisAutoConfiguration::class])
//@EnableDubboConfiguration
//@ImportResource(locations = ["classpath:application-shiro.xml"])
@ImportResource(locations = ["classpath:dubbo/*.xml"])
//@EnableRedisHttpSession
class MainApplication : SpringBootServletInitializer() {
    override fun configure(builder: SpringApplicationBuilder?): SpringApplicationBuilder? {
        return builder?.sources(MainApplication::class.java)
    }
}

fun main(args: Array<String>) {
    SpringApplication.run(MainApplication::class.java, *args)
}